package com.example.demo.data;

import org.springframework.stereotype.Repository;

import com.example.demo.model.Country;
import com.example.demo.model.Location;

// Tylko jako przykład pokazujący, że warstwę repository możemy zaimplementować w dowolny sposób.
@Repository
public class Repository0_Memory {

	public Location dajLokalizacje() {
		Country country = new Country();
		country.setCountryId("PL");
		country.setCountryName("Poland");
		
		Location location = new Location();
		location.setCountry(country);
		location.setStreetAddress("Jasna 14/16a");
		location.setCity("Warszawa");
		return location;
	}
	
}
